.header {
	padding: 20px 0;
	background: #ccc;

	&__row {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	&__logo {
		color: $black;
		display: inline-block;
		text-decoration: none;
	}

	&__toggle {
		width: 40px;
		height: 40px;
		font-size: 0;
		line-height: 0;
		position: relative;
		display: inline-block;
		text-decoration: none;

		span,
		&:after,
		&::before {
			top: 50%;
			left: 50%;
			z-index: 5;
			width: 24px;
			height: 2px;
			content: '';
			background: $black;
			position: absolute;
			display: block;
			margin-left: -12px;
			transition: .3s;
		}

		span {
			margin-top: -1px;
		}

		&::after {
			margin-top: -8px;
		}

		&::before {
			margin-top: 6px;
		}
	}
}


.nav-open {

	.header__toggle {

		span {
			opacity: 0;
			visibility: hidden;
			transition: .3s;
		}

		&::after {
			margin-top: 0;
			@include rotate(45deg);
			transition: .3s;
		}
		
		&::before {
			margin-top: 0;
			@include rotate(-45deg);
			transition: .3s;
		}
	}
}